Name:		pyhoca-gui
Version:	0.1.0.10
Release:	%mkrel 2
Summary:	A graphical client for X2Go using the Python X2Go API
License:	GPLv3
Group:		Networking/Remote access
Url:		http://www.x2go.org/
BuildArch:	noarch

Source0:	%{name}_%{version}.tar.gz
Patch0:		pyhoca-gui_0.1.0.10-mga-remove-desktops-not-on-mga.patch

BuildRequires:	python-distutils-extra
BuildRequires:	intltool
BuildRequires:	pythonegg(wxpython)
BuildRequires:	pythonegg(x2go)
Buildrequires:	pythonegg(distribute)
BuildRequires:	pythonegg(greenlet)
# pygtk2 is needed because otherwise pynotify is not found. Should be fixed in
# python-notify
BuildRequires:	pygtk2
BuildRequires:	pkgconfig(notify-python)
BuildRequires:	pythonegg(pycups)

Requires:	python-setproctitle
Requires:	python-x2go
Requires:	python-notify
Requires:	pygtk2

%description
The name PyHoca is a word play combining two powerful entities: Python and
Phoca (mascot of X2go, Latin species name for seals).
PyHoca-GUI is a client implementation for X2Go using the project's Python X2Go
client API (a Python module). PyHoca-GUI uses wxPython for rendering graphical
desktop elements (menus, dialog boxes etc.).

%prep
%setup -q -n %{name}_%{version}
%apply_patches

%build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# install missing files
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/icons/PyHoca
mkdir -p %{buildroot}%{_datadir}/pyhoca/img
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications

install -m0755 pyhoca-gui %{buildroot}%{_bindir}
install -m0644 man/man1/pyhoca-gui.1 %{buildroot}%{_mandir}/man1
install -m0644 img/pyhoca-* %{buildroot}%{_datadir}/pyhoca/img
install -m0644 pixmaps/pyhoca* %{buildroot}%{_datadir}/pixmaps
install -m0644 desktop/pyhoca-gui.desktop %{buildroot}%{_datadir}/applications
cp -a icons/PyHoca/* %{buildroot}%{_datadir}/icons/PyHoca
touch %{buildroot}%{python_sitelib}/pyhoca/__init__.py

# fix the desktop file
desktop-file-edit --remove-key=Categories %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --add-category=Network %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop
desktop-file-edit --remove-key=Encoding %{buildroot}%{_datadir}/applications/pyhoca-gui.desktop

%files
%dir %{python_sitelib}/pyhoca
%{python_sitelib}/pyhoca/wxgui
%{python_sitelib}/pyhoca/__init__.py
%{python_sitelib}/pyhoca_gui*
%{_datadir}/locale/*/LC_MESSAGES/pyhoca-gui.mo
%{_bindir}/pyhoca-gui
%{_datadir}/applications/pyhoca-gui.desktop
%{_iconsdir}/PyHoca/*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/pyhoca
%{_mandir}/man1/*



%changelog

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 0.1.0.10-2.mga2
+ Revision: 223081
- added python-cups as BR
- added pygtk2 as BR because otherwiese pynotify is not found
- this is a workarround that should be fixed in python-notify
- added missing BR on python-notify
- add BR on python-greenlet
- changed BR on setuptools
- added missing BR on python-setuptools
- imported package pyhoca-gui


* Mon Mar 12 2012 Oliver Burger <obgr_seneca@mageia.org> 0.1.0.10-2.mga2
- added missing runtime requirements
- added missing files not installed by setup.py

* Fri Mar 09 2012 Oliver Burger <obgr_seneca@mageia.org> 0.1.0.10-1.mga2
- initial package for Mageia
